#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'penjelasan.penjelasan_lelang'} ${paket?.pkt_nama}
#{/set}
#{if group.toString()=='PPK'}
	<ul class="breadcrumb">
		<li><a href="@{BerandaCtr.index()}" >&{'penjelasan.home'}</a></li>
		<li class="active">&{'penjelasan.info_lelang'}</li>
	</ul>
#{/if}
#{else}
	<ol class="breadcrumb">
		<li><a href="@{BerandaCtr.index()}">&{'penjelasan.home'}</a></li>
		<li><a href="@{nonlelang.PengadaanLCtr.view(lelang.lls_id)}">&{'penjelasan.info_tender'}</a></li>
		<li class="active">&{'penjelasan.penjelasan_lelang'}</li>
	</ol>
#{/else}

#{tabmenuPL tahapStarted/}
<div class="content">
#{if lelang.lelangV3}
	<div class="alert alert-danger">&{'penjelasan.spse_versi_3'}</div>
#{/if}
#{else}
	<table class="table table-sm">
	<tr>
		<th width="100">&{'penjelasan.kode_tender'}</th>
		<td>${lelang.lls_id}</td>
	</tr>
	<tr>
		<th>&{'penjelasan.nama_paket'}</th>
		<td>${lelang.paket.pkt_nama}</td>
	</tr>
	<tr>
		<th>&{'penjelasan.sisa_waktu'}</th>
		<td id="waktu"></td>
	</tr>
	#{if isPeserta}
	<tr>
		<td colspan="2" class="text-right"><a class="btn btn-success" href="javascript:void(0)" id="pesertaKirim">&{'penjelasan.kirim_pertanyaan'}</a></td>
	</tr>
	#{/if}	
	</table>
	#{alert /}
	<div class="card card-default">
	  <div class="card-header"><span class="fa fa-comments"></span> Pembukaan
	  	#{if (group.panitia || group.PP) && allow} 
	  		<a class="badge  badge-primary float-right" href="javascript:void(0);" id="pembukaan">Ubah</a>
	  		<a class="badge  badge-primary float-right" href="javascript:void(0);" id="save-pembukaan" style="display:none;">Simpan</a>
	  	#{/if}
	  </div>
	  <div class="card-body" id="content-pembukaan">
	  	${pembukaan?.dsl_uraian?.raw()}
	  </div>
	</div>	
	<div id="listPenjelasan"></div>
    <small class="padding2">
        <span class="badge  badge-warning" title="Penyedia">R</span> Peserta
        <span class="badge  badge-primary" title="Panitia">P</span> Pokja Pemilihan/PP
    </small>
	#{if group.panitia || group.PP}
  	<div class="bs-callout bs-callout-warning">
      	&{'penjelasan.pokja_penjelasan'}
		<br /> &{'penjelasan.hindari_copas'}
  	</div>
	#{/if}
</div>

#{set 'css_custom' }
<link href="https://unpkg.com/trumbowyg@2.21.0/dist/ui/trumbowyg.min.css" rel="stylesheet" type="text/css">
#{/set}


#{set 'custom_script'}
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/trumbowyg.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/plugins/cleanpaste/trumbowyg.cleanpaste.min.js"></script>
<script type="text/javascript" src="#{assets '/js/trumbowyg.config.js'/}"></script>
<script type="text/javascript">
	function load_content() {
	    $('#listPenjelasan').load('${listUrl}')
	};
	function load_time() {
        $('#waktu').load('${sisaUrl}')
    };
    load_content();
    load_time();
	setInterval(load_time, 5000); // 5 second update data
	var refreshContent = setInterval(load_content, 30000); // 30 second update data
	
	$(document).on("click", ".jawab", function(){		
		var value =$(this).attr("value");
		var content = '<form id="form-jawab" action="${simpanUrl}" method="post" enctype="multipart/form-data" >'+
		  '<input type="hidden" name="authenticityToken" value="${session.getAuthenticityToken()}" />'+
		  '<input type="hidden" name="pertanyaan_id" value="'+value+'" />'+
		  '<div class="form-group row"><label class="col-sm-1 col-form-label">Jawaban <span class="warning">*</span></th></label>'+
    		  '<div class="col-sm-11"><textarea id="jawaban'+value+'" name="penjelasan.dsl_uraian" cols="60" rows="10" class="form-control"></textarea></div></div>'+
    		  '<div class="form-group row"><label class="col-sm-1 col-form-label">Lampiran</label>'+
		  '<div class="col-sm-11"><input type="file" name="file" class="form-control"/>' +
	      '<span id="helpBlock" class="form-text">Hanya file <i><strong>txt, doc, docx, xls, xlsx, pdf, jpg, jpeg, png, zip, atau rar</strong></i> yang bisa di upload. </div></div>' +
	      '<button type="submit" class="btn btn-success save" value="'+value+'">Kirim</button>&nbsp;<button type="reset" class="btn btn-secondary cancel" value="'+value+'" >Batal</button></form>';
		  $(this).replaceWith(content);
		  $('#jawaban'+value).trumbowyg({
				btns : [['viewHTML'], ['undo', 'redo'], ['formatting'], ['strong', 'em', 'del'], ['superscript', 'subscript'], ['link'], ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],['unorderedList', 'orderedList'], ['horizontalRule'], ['removeformat']],
				autogrow : true
		  })
		  clearInterval(refreshContent);
	})
	
	$(document).on("click", ".cancel", function(){
		var value =$(this).attr("value");
		$(this).parent().replaceWith('<a href="javascript:void(0)" class="badge  badge-secondary jawab" value="'+value+'">Jawab</a>');
		refreshContent = setInterval(load_content, 30000);
	})
	
	$(document).on("click", ".save", function(){
		var value =$(this).attr("value");
		var jawaban =  $('#jawaban'+value).trumbowyg('html');
		if (jawaban == null || jawaban == ""|| jawaban == "<br>"){
            alert("Anda belum mengisi uraian jawaban, mohon isi terlebih dahulu !");
            $("#jawaban"+value).focus();
            return false;
        }
		return true;
	})

	$("#pesertaKirim").click(function(){
		var content ='<form id="form-tanya" action="${simpanUrl}" method="post" enctype="multipart/form-data">'+
					'<input type="hidden" name="authenticityToken" value="${session.getAuthenticityToken()}">'+
					'<table class="table table-sm"><tr><th>Dokumen</th><td><input name="penjelasan.dsl_dokumen" id="dokumen" type="text" size="60" class="form-control"></td></tr>'+
					'<tr><th>Bab</th><td><input name="penjelasan.dsl_bab" id="bab" type="text" size="60" class="form-control"></td></tr>'+
					'<tr><th>Uraian <span class="warning">*</span></th></th><td><textarea name="penjelasan.dsl_uraian" id="uraian" rows="12" class="form-control"></textarea></td></tr>'+
					'<tr><th>Lampiran</th><td><input type="file" name="file" id="file" class="form-control"/><br />' +
				    'Hanya file <i><strong>txt, doc, docx, xls, xlsx, pdf, jpg, jpeg, png, zip, atau rar</strong></i> yang bisa di upload.' +
				    '</td></tr></table></form>';    
		BootstrapDialog.show({
			size: BootstrapDialog.SIZE_WIDE,
			draggable: true,
			title:'Kirim Pertanyaan',
			message:content,
            onshown: function(){
            	$('#uraian').trumbowyg({
					btns : [['viewHTML'], ['undo', 'redo'], ['formatting'], ['strong', 'em', 'del'], ['superscript', 'subscript'], ['link'], ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],['unorderedList', 'orderedList'], ['horizontalRule'], ['removeformat']],
					autogrow : true
				})
            },
			buttons: [{
				cssClass : 'btn-success',
                label: 'Kirim',
                action: function(dialog) {
					var uraian = $('#uraian').trumbowyg('html');
					if (uraian == null || uraian == "" || uraian == "<br>"){
						alert("Anda belum mengisi uraian pertanyaan, mohon isi terlebih dahulu !");
                        $("#uraian").focus();
						return false;
					} else {
                        $('#form-tanya').submit();
                    }
                }
            }, {
                label: 'Batal',
                action: function(dialog) {
                    dialog.close();
                }
            }]
		});
	});
	
	#{if group.panitia || group.PP}
	$("#pembukaan").click(function(){		
		$(this).hide();
		$("#save-pembukaan").show();
		$('#content-pembukaan').trumbowyg({
					btns : [['viewHTML'], ['undo', 'redo'], ['formatting'], ['strong', 'em', 'del'], ['superscript', 'subscript'], ['link'], ['justifyLeft', 'justifyCenter', 'justifyRight', 'justifyFull'],['unorderedList', 'orderedList'], ['horizontalRule'], ['removeformat']],
					autogrow : true
				});
	});	
	
	$("#save-pembukaan").click(function(){	
		var save = $(this);
		var uraian = $("#content-pembukaan").trumbowyg('html');
		console.log(uraian)
		 $.ajax({
             url: '${pembukaanUrl}', type : 'post',
             data: {uraian : uraian},
         }).done(function() {
        	 	save.hide();
        	 	$('#content-pembukaan').trumbowyg('destroy');
     		$("#pembukaan").show();
         });	
	});
	#{/if}
</script>
#{/set}
#{/else}